#include <bits/stdc++.h>
using namespace std;
int main(){
	long long n, m;
	cin>>n>>m;
	long long a[m+2];
	map<int, int> cnt;
	for(int i=1;i<=m;i++){
		cin>>a[i];
		cnt[a[i]]++;
	}
	set<int> st;
	for(int i=1;i<=m;i++){
		if(cnt[a[i]] >= n){
			st.insert(a[i]);
		}
	}
	cout<<st.size()<<endl;
	for(auto i:st){
		cout<<i<<" ";
	}
}
